Name: qt
Summary: Shared library for the Qt GUI toolkit.
Version: 2.0.1
Release: 5
Source0: ftp://ftp.troll.no/qt/source/%{name}-%{version}.tar.gz
Source1: qt.sh
Source2: qt.csh
URL: http://www.troll.no
Copyright: QPL
Group: System Environment/Libraries
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/ldconfig

%package devel
Summary: Development files and documentation for the Qt GUI toolkit.
Group: Development/Libraries


%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and
maintaining GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything
you need to create professional GUI applications. And it enables you
to create them quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you
can run it on the X Window System (Unix/X11) or Microsoft Windows NT
and Windows 95/98. Simply recompile your source code on the platform
you want.

This package contains the shared library needed to run Qt applications,
as well as the README files for Qt.

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/doc/qt-devel-2.0.1/index.html for Qt documentation in
HTML.


%prep
%setup -q

%build
export QTDIR=`/bin/pwd`
./configure -release -shared -gif -sm -system-zlib -system-libpng
make
./configure -release -static -gif -sm -system-zlib -system-libpng
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt-%{version}/{bin,include,lib}
mkdir -p $RPM_BUILD_ROOT/usr/man

install -s -m 755 bin/* $RPM_BUILD_ROOT/usr/lib/qt-%{version}/bin
cp lib/libqt.a $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib
cp lib/libqt.so.%{version} $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib
ln -sf libqt.so.%{version} $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqt.so.2
ln -sf libqt.so.2 $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqt.so
cp -fR man/. $RPM_BUILD_ROOT/usr/man

make -C tutorial clean
make -C examples clean
find examples -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find tutorial -name Makefiel | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'

for a in */*/Makefile ; do
  sed 's-^SYSCONF_MOC.*-SYSCONF_MOC		= /usr/bin/moc-' < $a > ${a}.2
  mv -v ${a}.2 $a
done

cp -fR include/. $RPM_BUILD_ROOT/usr/lib/qt-%{version}/include
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/qt-%{version}/lib/libqt.so*

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep '^/usr/lib/qt-%{version}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/lib/qt-%{version}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
  grep -v '^/usr/lib/qt-%{version}/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ANNOUNCE FAQ LICENSE.QPL PORTING README README.QT
%dir /usr/lib/qt-%{version}
%dir /usr/lib/qt-%{version}/lib
/usr/lib/qt-%{version}/lib/libqt.so.%{version}
/usr/lib/qt-%{version}/lib/libqt.so.2

%files devel
%config /etc/profile.d/*
/usr/lib/qt-%{version}/bin
/usr/lib/qt-%{version}/include
/usr/lib/qt-%{version}/lib/libqt.so
/usr/lib/qt-%{version}/lib/libqt.a
/usr/man/man1/*
/usr/man/man3/*
%doc doc/*
%doc examples
%doc tutorial

%changelog
* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- don't ship tutorial or example binaries

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- substitution in tutorial and examples so that dependencies are correct and
  they can be successfully rebuilt.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- switched to completely using QTDIR.  trying to coexist with links into
  /usr/{include,lib} and still compile with qt 1.x is very hard for
  configure scripts to cope with.

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- implemented QTDIR compatibility.

* Tue Jul 20 1999 Preston Brown <pbrown@redhat.com>
- qt 2.0.1 packaged.

* Wed Jul 14 1999 Preston Brown <pbrown@redhat.com>
- Qt 2.00 packaged.
- examples, html documentation, tutorial moved to /usr/doc

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- static library supplied in dev package.

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- turn on internal GIF reading support

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnt's RPM and made some minor changes for Red Hat.
